window['onerror'] = function(message, url, line) {
    console.error("执行" + url + "文件中的第" + line + "行代码出错，错误信息：" + message);
};

// load params
function getUrlParam(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); 
    var r = window.location.search.substr(1).match(reg); 
    if (r != null) return unescape(r[2]); return null; 
}
            
// reload js file by lanyijing at 20171206
function loadJs(file) {
            var head = $("head").remove("script[role='reload']");
            $("<scri" + "pt>" + "</scr" + "ipt>").attr({ role: 'reload', src: file, type: 'text/javascript' }).appendTo(head);
}

function onload() {
    var env = getUrlParam('env');
    var protocol = document.location.protocol.replace(':', '');
    var localmode = false;
    if (protocol == 'file') {
        protocol = 'https';
        localmode = true;
    }
    var req_url_pre = protocol + '://';
    var MaConst = {
        'env': 'pro',
        'version': '1.0',
        'hosts': {
            'dev': '221.122.73.187:8080',
            'pro': 'r.newssdk.com'
        },
        'webhosts': {
            'dev': '221.122.73.187:8090',
            'pro': 'www.newssdk.com'
        },
        'gghosts': {
            'dev': '221.122.73.187:3000',
            'pro': 'gg.newssdk.com'
        },
        'conf': {
            'http': {},
            'https': {}
        }
    };
    MaConst['env']  = env || 'pro';
    var domain =  MaConst['hosts'][MaConst['env']];
    var webdo =  MaConst['webhosts'][MaConst['env']];
	var host_url = req_url_pre + domain;
	var ggdo =  MaConst['gghosts'][MaConst['env']];
	var pi = getUrlParam("i");
	
	if (localmode) {
		var pajs_path = '../lib/pa.js?env=' + MaConst['env'] + '&i=' + pi;
		console.log('load local pa.js=' + pajs_path);
        loadJs(pajs_path);
    } else {
		loadJs('//' + ggdo + '/agent/pa.js?env=' + MaConst['env'] + '&i=' + pi);
	}
	
    var u = navigator.userAgent; 
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

    function getQueryString(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]);
        return null;
    }

    var winWidth = 0;
    var login = getUrlParam('login');
    var fapi = getUrlParam('fapi');
    var fsdk = getUrlParam('fsdk');
    var from = getUrlParam('from');
    var params = {};
    params['env'] = MaConst['env'];
    params['loading'] = false;
    params['isInApp'] = false;
    params['hc'] = getUrlParam('hc') || 0;
    params['appkey'] = getUrlParam('ak') || '';
    params['mid'] = getUrlParam('mid') || '';
    params['adspot'] = getUrlParam('spot') || '';
    params['itemid'] = getUrlParam('i') || '';
    params['set'] = getUrlParam('set') || '';
    params['uuid'] = getUrlParam('u') || '';
    params['s'] = getUrlParam('s') || '';
    params['q'] = getUrlParam('q') || '';
    params['appid'] = '';
    params['url'] = window.location.href;
    params['uid'] = '';
    params['com_id'] = '';
    params['t'] = getUrlParam('t') || '';


    if(page_type == 'comment'){
        params['com_id'] = getUrlParam('commentId') || '';
        params['com_itemid'] = getUrlParam('i') || '';
        params['com_uid'] = getUrlParam('uid') || '';
        params['com_appkey'] = getUrlParam('ak') || '';
        console.log(params)
    }

    console.log(params);
    if(page_type == 'item'){
        //调用API打开时
        var loadP = {};
        loadP['spot'] = params['adspot'];
        loadP['set'] = params['set'];
        loadP['item'] = params['itemid'];
        loadP['mid'] = params['mid'];
        loadP['ak'] = params['appkey']; 
        loadP['ua'] = navigator.userAgent;
        loadP['s'] = '';
        loadP['q'] = '';
        if(fsdk == 1 || from){  //分享后发送分享行为
            loadP['fuuid'] = params['uuid'];
            loadP['event'] = 'pv';
            var share_url = '//'+domain+'/rcv/ashare?';
            for (var key in loadP) {
                share_url += "&" + key + "=" + loadP[key];
            }
            console.log('分享点击',share_url);
            var chttp = new XMLHttpRequest();
            chttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {}
            }
            chttp.open("GET", share_url, true);
            chttp.send();
        }else if(fapi == 1){  //api打开详情页
            loadP['uuid'] = params['uuid'];
            loadP['event'] = 'open';
            var open_url = '//'+domain+'/rcv/aclk?';
            for (var key in loadP) {
                open_url += "&" + key + "=" + loadP[key];
            }
            console.log('调用api打开详情页',open_url);
            var chttp = new XMLHttpRequest();
            chttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {}
            }
            chttp.open("GET", open_url, true);
            chttp.send();
        }

    }

    
    /** 转换时间显示格式 */
    function getPassesTime($time, isTimeStamp) {
        var $formattime = 0;
        if (isTimeStamp) {
            $formattime = $time;
        } else {
            if($time){
                var arr = [];
                if($time){
                    arr = $time.split(/[- : \/]/);
                }
                if (arr.length > 1) {
                    var $date = new Date(arr[0], arr[1] - 1, arr[2], arr[3] || '00', arr[4] || '00', arr[5] || '00');
                    $formattime = Date.parse(new Date($date));
                } else {
                    var $formatyear = $time.substring(0, 4);
                    var $formatmon = $time.substring(4, 6);
                    var $formatday = $time.substring(6, 8);
                    var $formathour = $time.substring(8, 10);
                    var $formatmin = $time.substring(10);
                    var $formatsec = "00";
                    var $date = new Date($formatyear, $formatmon - 1, $formatday, $formathour, $formatmin, $formatsec);
                    $formattime = Date.parse($date);
                }
            }else{
                return "";
            }
            
        }
        var $now = Date.parse(new Date());
        
        if ($time == 0) {
            return "刚刚";
        }
        var $cha = parseInt(($now - $formattime) / 1000);
        if ($cha < 60) {
            return "刚刚";
        }

        var $yu = parseInt($cha / 60);
        if ($yu < 60) {
            return $yu + "分钟前";
        }

        var $houryu = parseInt($cha / 3600);
        if ($houryu < 24) {
            return $houryu + "小时前";
        }

        var $dayyu = parseInt($cha / (3600 * 24));
        if ($dayyu < 30) {
            return $dayyu + "天前";
        }

        var $monyu = parseInt($cha / (3600 * 24 * 30));
        if ($monyu < 12) {
            return $monyu + "月前";
        }

        return "很久以前";
    }

    function getWinWidth() {

        //获取窗口宽度
        if (window.innerWidth) {
            winWidth = window.innerWidth;
        } else if ((document.body) && (document.body.clientWidth)) {
            winWidth = document.body.clientWidth;
        }

        //通过深入Document内部对body进行检测，获取窗口大小
        if (document.documentElement && document.documentElement.clientHeight && document.documentElement.clientWidth) {
            winHeight = document.documentElement.clientHeight;
            winWidth = document.documentElement.clientWidth;
        }

        return winWidth;
    }

    function setSH(status) {
        document.getElementById('sub_info').style.display = status || 'none';
        document.getElementById('favorite').style.display = status || 'none';
        // document.getElementById('statement').style.display = status||'none';
        document.getElementById('parting_line').style.display = status || 'none';
    }

    if(page_type=='item'){
        var i = getQueryString("i");
        var u = getQueryString("u");
        var mid = 0;
        mid = params['mid'];
        var ak = params['appkey'];
        var t = params['t'];
        var spot = params['adspot'];
        var url = "/itembase/hnews/item?i=" + i + "&ak=" + ak + "&spot=" + spot;
        if (localmode){
        	url = protocol +'://' + domain + url;
        }
        if (i) {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState == 4) {
                    if (this.status == 200) {
                        var res = this.responseText;
                        if (res) {
                            setSH('block');
                            res = JSON.parse(res);
                            var author = res.author;
                            var content = res.content;
                            var fmedia = res.fmedia;
                            var fmediaurl = res.fmediaurl;
                            var images = res.images;
                            var time = res.time;
                            var title = res.title;
                            var keywords = res.keywords;
                            var url = res.url;
                            if (time) {
                                document.getElementById('publishTime').innerHTML = getPassesTime(time);
                            }
                            if (fmedia) {
                                document.getElementById('mediaName').innerHTML = fmedia;
                            }
                            if (title) {
                                document.title = document.getElementById('title').innerHTML = title;
                            }
                            if (content) {
                                content = content.replace(/onload=\S+/g, "");
                                content = content.replace(/href=\S+"/g, "");
                                content = content.replace(/data-src=\S+"/g, "");
                                content = content.replace(/\\=(""|'')/g, "");
                                var content_dom = document.getElementById('content');
                                content_dom.innerHTML = content;
                                var imgs = content_dom.getElementsByTagName("img");
                                var getImgNaturalDimensions = function(img, callback) {
                                    var image = new Image();
                                    image.src = img.src;
                                    image.onload = function() {
                                        callback(image.width, image.height, img);
                                    }
                                }
                                var content_height = document.getElementById('content').offsetHeight;
                                for (var img in imgs) {
                                    var imgItem = imgs[img];
                                    if (typeof(imgItem) == "object") {
                                        imgItem.parentNode.style.textAlign = 'center';
                                        getImgNaturalDimensions(imgItem, function(width, height, imgItem) {
                                            imgItem.style.height = 'auto';
                                            var swidth = getWinWidth();
                                            if (width > swidth) {
                                                imgItem.style.width = '100%';
                                            } else {
                                                imgItem.style.width = 'auto';
                                            }
                                        });
                                    }
                                }

                                var screen_height = window.screen.height;
                                var level = Math.floor(content_height/screen_height);
                                console.log('--------------',content_height,level);
                                if(content_height > screen_height){
                                    document.getElementById('content').style.height = 'auto';
                                    var true_height = document.getElementById('content').offsetHeight;
                                    var show_height = screen_height;
                                    if(level == 1){
                                        show_height = screen_height;
                                    }else if(level >=2){
                                        show_height = screen_height*2;
                                    }
                                    document.getElementById('content').style.height = show_height + 'px';
                                    document.getElementById('read_more').style.display = 'block';
                                    var cha = true_height - show_height;
                                    var bfb = parseFloat(cha/true_height)*100;
                                    bfb = bfb.toFixed(2);
                                    if(bfb != 0){
                                        bfb = bfb + '%';
                                        var tips = document.getElementById('read_more').getElementsByTagName('a')[0]
                                        tips.innerHTML = '展开余下 '+bfb;
                                    }
                                }
                                
                                document.getElementById('read_more').onclick = function() {
                                    document.getElementById('content').style.height = 'auto';
                                    document.getElementById('read_more').style.display = 'none';
                                }
                                photoSwipeInit('#content img');
                            } else {
                                setSH();
                                document.getElementById('content').innerHTML = '<img style="margin-top: 50%;width:100%" src="recome/nullcontent.png" />';
                            }

                            if (keywords) {
                                var kw = keywords.split(/\||,/);
                                var keywordsInnerhtml = "";
                                for (var k in kw) {
                                    if (!!kw[k]) {
                                        keywordsInnerhtml += '<span>' + kw[k] + '</span>';
                                    }
                                }
                                document.getElementById('keywords').innerHTML = keywordsInnerhtml;
                                document.getElementById('keywords').style.display = "block";
                            }

                            // if (url) {
                            //     document.getElementById('original').innerHTML = '<a id="original_click" style="cursor: pointer;">查看原文</a>';
                            //     document.getElementById('original_click').onclick = function () {
                            //         if (!!window['isInApp']) {//在app中
                            //             openOrignalLink(url);
                            //         } else {
                            //             window.open(url);
                            //         }
                            //     }
                            // }
                            delete res['content'];
                            if (!window['itemLoadedBroadcast']) {
                                window['itemLoadedBroadcast'] = function(itemInfo) {
                                    if (window['_CPLUSB'] && window['_CPLUSB']['itemLoadedBroadcast']) {
                                        window['_CPLUSB']['itemLoadedBroadcast'](itemInfo);
                                    } else if (typeof(window.webkit) != 'undefined') {
                                        window.webkit.messageHandlers.itemLoadedBroadcast.postMessage(itemInfo); //IOS
                                    }
                                }
                            }
                            window['itemLoadedBroadcast'](JSON.stringify(res));
                        }
                    } else {
                        setSH();
                        document.getElementById('content').innerHTML = '<img style="margin-top: 50%;width:100%" src="recome/nullcontent.png" />';
                    }
                }
            };
            xhttp.open("GET", url, true);
            xhttp.send();
        }


        // 获得推荐列表
        var recomUrl = "/recom/hnews/list?t=" + t + "&spot=" + spot + "&u=" + u + "&ns=0&i=" + i + "&mid=" + mid + "&ak=" + ak;
        if (localmode){
        	recomUrl = protocol +'://' + domain + recomUrl;
        }
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
            if (this.readyState == 4 && this.status == 200) {
                var res = this.responseText;
                res = JSON.parse(res);
                if (res.il) {
                    var il = res.il;
                    var inner = "";
                    for (var i in il) {
                        if (il[i]['img'] && il[i]['img'].length > 0) {
                            inner += '<li data-itemid="' + encodeURIComponent(il[i]['i']) + '" data-tt="' + encodeURIComponent(il[i]['tt']) + '" data-set="' + encodeURIComponent(il[i]['set'] || '') + '" style="position: relative;border-top: 1px solid #E6E6E6;padding:10px 0;">';
                            inner += '    <div style="position: relative;">';
                            inner += '        <a>';
                            inner += '            <div class="HUI_NewsListL" style="font-size:18px;">' + il[i]['tt'] + '</div>';
                            inner += '            <div class="HUI_NewsListR"><img src="' + il[i]['img'][0] + '" style="    width: 105px;" /></div>';
                            if (il[i]['s']) {
                                inner += '            <div class="HUI_NewsListInfo HUI_NewsListLeftInfo">' + (il[i]['s'] || '') + ' | ' + getPassesTime(il[i]['tm']) + '</div>';
                            } else {
                                inner += '        <div class="HUI_NewsListInfo HUI_NewsListLeftInfo">' + getPassesTime(il[i]['tm']) + '</div>';
                            }
                            inner += '        </a>';
                            inner += '    </div>';
                            inner += '</li>';
                        } else {
                            inner += '<li data-itemid="' + encodeURIComponent(il[i]['i']) + '" data-tt="' + encodeURIComponent(il[i]['tt']) + '" data-set="' + encodeURIComponent(il[i]['set']) + '" style="position: relative;border-top: 1px solid #E6E6E6;padding:10px 0;">';
                            inner += '    <a>';
                            inner += '        <div class="HUI_NewsListTitile">' + il[i]['tt'] + '</div>';
                            if (il[i]['s']) {
                                inner += '        <div class="HUI_NewsListInfo">' + (il[i]['s'] || '') + ' | ' + getPassesTime(il[i]['tm']) + '</div>';
                            } else {
                                inner += '        <div class="HUI_NewsListInfo">' + getPassesTime(il[i]['tm']) + '</div>';
                            }
                            inner += '    </a>';
                            inner += '</li>';
                        }
                    }
                    document.getElementById('recome').innerHTML = inner;
                    if (il.length > 0) {
                        var recomeItems = document.querySelectorAll('#recome > li');
                        if (!window['openItem']) {
                            window['openItem'] = function(itemInfo) {
                                if (window['_CPLUSB'] && window['_CPLUSB']['isInApp']) { //在app中
                                    if (window['_CPLUSB'] && window['_CPLUSB']['openItem']) {
                                        window['_CPLUSB']['openItem'](itemInfo);
                                    } else if (typeof(window.webkit) != 'undefined' &&
                                        window.webkit.messageHandlers && window.webkit.messageHandlers.openItem) {
                                        window.webkit.messageHandlers.openItem.postMessage(itemInfo); //IOS
                                    }
                                } else{
                                    if (itemInfo) {
                                        var send = function(item) {
                                            var item_url = "";
                                            if(item.url){
                                                item_url = item.url.split('?')[1];
                                            }
                                            var p = {};
                                            p['item'] = item.itemid;
                                            p['spot'] =item.spot;
                                            p['set'] = item.set;
                                            if(item_url){
                                               p['ak'] = params['appkey']; 
                                               p['uuid'] = params['uuid'];
                                               p['mid'] = params['mid'];
                                            }
                                            p['uidt'] = '';
                                            p['sdkv'] = '';
                                            p['dev'] = '';
                                            p['os'] = '';
                                            p['event'] = 'click';
                                            p['tm'] = (new Date()).getTime();
                                            var url = '//'+domain+'/rcv/aclk?';
                                            for (var key in p) {
                                                url += "&" + key + "=" + p[key];
                                            }
                                            console.log(url);
                                            var chttp = new XMLHttpRequest();
                                            chttp.onreadystatechange = function() {
                                                if (this.readyState == 4 && this.status == 200) {
                                                    
                                                }
                                            }
                                            chttp.open("GET", url, true);
                                            chttp.send();
                                        }
                                        send(JSON.parse(itemInfo));
                                        var _item_ = JSON.parse(itemInfo);
                                        if (_item_.url) {
                                            console.log(_item_);
                                            window.location.href = _item_.url;
                                            //window.open(_item_.url);
                                        }
                                    }
                                }
                            }
                        }
                        for (var it in recomeItems) {
                            var item = recomeItems[it];
                            item.onclick = function() {
                                var origin = document.location.origin;
                                var pathname = document.location.pathname;
                                var itemid = this.getAttribute('data-itemid');
                                var set = this.getAttribute('data-set');
                                var title = this.getAttribute('data-tt');
                                if (itemid) {
                                	// if not local mode, use full url path
                                	// var clickUrl = origin + pathname + "?i=" + itemid + "&u=" + u + "&mid=" + mid + "&ak=" + ak + "&spot=" + spot + "&set=" + set;
                                    var clickUrl = "?i=" + itemid + "&u=" + u + "&mid=" + mid + "&ak=" + ak + "&spot=" + spot + "&set=" + set;
                                    if (! localmode){
                                    	clickUrl = origin + pathname + clickUrl;
                                    }
                                    var data = { "itemid": decodeURIComponent(itemid), "tt": decodeURIComponent(title), "url": clickUrl, "spot": spot, "set": decodeURIComponent(set) };
                                    window['openItem'](JSON.stringify(data));
                                }
                            }
                        }
                    }
                }
            }
        }
        xhttp.open("GET", recomUrl, true);
        xhttp.send();

        

        /** 获取数据 */
        function _getData(url, type) {
            var callbackName = 'getListData';
            var url = '//'+webdo+'/admin/location/download?app_key=' + ak;
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function() {
                showDwon();
                if (this.readyState == 4 && this.status == 200) {
                    showDwon();
                    console.log(this.responseText);
                    var response = JSON.parse(this.responseText);
                    if(response && response.status == 0){
                        var data  = response.data;
                        if (data) {
                            console.log(data);
                            console.log(data.flag != 1 && (data.ios_down_url || data.android_down_url))
                            if(data.flag != 1 && (data.ios_down_url || data.android_down_url)){
                                showDwon();
                                if (data.image) {
                                    document.getElementById('download_logo').style.background = "url('" + data.image + "') no-repeat center center";
                                    document.getElementById('download_logo').style.backgroundSize = "100%";
                                }
                                if (data.des) {
                                    document.getElementById('download_content').innerHTML = data.des;
                                    document.getElementById('download_title').innerHTML = data.title;
                                }
                                if(isiOS){
                                    if(data.ios_down_url){
                                        document.getElementById('download_btn').href = data.ios_down_url;
                                    }else{
                                        document.getElementById('download_btn').href = data.android_down_url;
                                    }
                                }
                                if(isAndroid){
                                    if(data.android_down_url){
                                        document.getElementById('download_btn').href = data.android_down_url;
                                    }else{
                                        document.getElementById('download_btn').href = data.ios_down_url;
                                    } 
                                }                 
                                document.getElementById('download_btn').innerHTML = data.button;
                                var download_height = document.getElementById('top_download_bit').offsetHeight;
                                var dowmload_logo_height = document.getElementById('download_logo').offsetHeight;
                                var download_btn_height = document.getElementById('download_btn').offsetHeight;
                                document.getElementById('download_logo').style.marginTop = ((download_height - dowmload_logo_height) / 2) + 'px';
                                document.getElementById('download_btn').style.marginTop = ((download_height - download_btn_height) / 2) + 'px';
                                document.getElementById('place_top_bit').style.height = download_height + 'px';
                                window.onscroll = function() {
                                    var scrollTop = document.documentElement.scrollTop || document.body.scrollTop;
                                    var flag = scrollTop > 10 ? 'down' : 'up';
                                    if (flag == 'down') {
                                        document.getElementById('top_download_bit').style.display = "none";
                                    } else {
                                        document.getElementById('top_download_bit').style.display = "block";
                                    }
                                }

                                document.getElementById("download_btn").onclick=function(){
                                    var p = {};
                                    p['spot'] = params['adspot'];
                                    p['set'] = params['set'];
                                    p['item'] = params['itemid'];
                                    p['fuuid'] = params['uuid'];
                                    p['ua'] =  navigator.userAgent;
                                    p['event'] = 'download';
                                    p['s'] = params['s'];
                                    p['q'] = params['q'];
                                    p['mid'] = params['mid'];
                                    p['ak'] = params['appkey'];
                                    var url = '//'+domain+'/rcv/ashare?';
                                    if (localmode){
                                    	url = protocol + ':' + url;
                                    }
                                    for (var key in p) {
                                        url += "&" + key + "=" + p[key];
                                    }
                                    var xhttp = new XMLHttpRequest();
                                    xhttp.onreadystatechange = function() {
                                        if (this.readyState == 4 && this.status == 200) {
                                            
                                        }
                                    }
                                    xhttp.open("GET", url, true);
                                    xhttp.send();
                                }
                                
                            }else{
                                hideDown();
                            }
                        }else{
                            hideDown();
                        } 
                    }else{
                        hideDown();
                    }
                }else{
                    hideDown();
                }
            }
            xhr.open("GET", url, true);
            xhr.send();
        }
    }

    function hideDown(){
        document.getElementById('top_download_bit').style.display = "none";
        document.getElementById('place_top_bit').style.display = 'none';
    }

    function showDwon(){
        document.getElementById('top_download_bit').style.display = "block";
        document.getElementById('place_top_bit').style.display = 'block'; 
    }

    //获取url中的参数
    function getUrlParam(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
        var r = window.location.search.substr(1).match(reg);  //匹配目标参数
        if (r != null) return unescape(r[2]); return null; //返回参数值
    }


    function _jsonp(url, success, fail, callbackName) {
        if (callbackName) {
            window[callbackName] = function(data) {
                success && success(data);
                delete window[callbackName];
            }
        }
        var head = document.getElementsByTagName('head')[0];
        var script = document.createElement('script');
        script.type = 'text/javascript';
        script.src = url;
        script.async = true;
        script.onload = script.onreadystatechange = function() {
            if ((!script.readyState || script.readyState === "loaded" || script.readyState === "complete")) {
                script.onload = script.onreadystatechange = null;
                if (head && script.parentNode) {
                    head.removeChild(script);
                }
            } else {
                fail && fail();
            }
        };
        script.onerror = function() {
            fail && fail();
        }
        head.appendChild(script);
    }

    var fb = getQueryString("fb");
    if (fsdk == 1 || from) { 
        showDwon();
        console.log(isAndroid,isiOS,isAndroid || isiOS);
        // _getData();
        
        if(isAndroid || isiOS){
            _getData();
        }else{
            hideDown();
        }        
    }


    //评论相关内容-----------------------------
    window['imgLis'] = [
        'img/tx/1.png',
        'img/tx/2.png',
        'img/tx/3.png',
        'img/tx/4.png',
        'img/tx/5.png',
        'img/tx/6.png',
        'img/tx/7.png',
        'img/tx/8.png'
    ]
    var fakeData = {"cmtSum":12,"outerCmtSum":15,"totalPageNo":10,"comments":[{"passport":{"uname":"小猴子","uid":"","uicon":""},"content":"前几年离婚了，现在重新开始了二婚，男人比我小七岁。他是个没结过婚的人。婚后什么都不会，什么都需要我教。想要个孩子给他留后，那个时，他每次就三分钟，几分钟。人家都没能满组到。不过他挺实在，将就过了，毕竟我是有过婚史的。后来他（bai-度)看（蒋丘前恋情）一文。就让他好了，次次就要有拌个多小时啦。建议男人看下去，手机就可以廋看的；。","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"replyCount":10,"commentId":"1","createTime":"2017-12-11 10:00:00","ipLocation":"","comments":[{"passport":{"uname":"畅言网友","uid":"","uicon":""},"content":"北国风光，千里冰封，万里雪飘，望长城内外，惟余莽莽；大河上下，顿失滔滔","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""},{"passport":{"uname":"畅言网友","uid":"","uicon":""},"content":"山舞银蛇，原驰蜡象，欲与天公试比高。","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""},{"passport":{"uname":"畅言网友","uid":"","uicon":""},"content":"须晴日，看红装素裹，分外妖娆。","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""}]},{"passport":{"uname":"了不起的布莱恩","uid":"","uicon":""},"content":"还是选别墅，再多的钱都没有有个温馨的家最踏实，挣再多的💰都是想有个避风避雨家的家，","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"replyCount":10,"commentId":"2","createTime":"2017-12-11 10:00:00","ipLocation":"","comments":[{"passport":{"uname":"畅言网友","uid":"","uicon":""},"content":"江山如此多娇，引无数英雄竞折腰。","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""}]}],"hotComments":[{"passport":{"uname":"景景","uid":"","uicon":""},"content":"还是选别墅，再多的钱都没有有个温馨的家最踏实，挣再多的💰都是想有个避风避雨家的家，","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"replyCount":10,"commentId":"3","createTime":"2017-12-11 10:00:00","ipLocation":"","comments":[{"passport":{"uname":"畅言网友","uid":"","uicon":""},"content":"惜秦皇汉武，略输文采；唐宗宋祖，稍逊风骚。一代天骄，成吉思汗，只识弯弓射大雕。俱往矣，数风流人物，还看今朝。","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""}]}],"page":1}
    var replyData = {"replyCount":12,"totalPageNo":10,"page":1,"firstComment":{"passport":{"uname":"小猴子","uid":"","uicon":""},"content":"前几年离婚了，现在重新开始了二婚，男人比我小七岁。他是个没结过婚的人。婚后什么都不会，什么都需要我教。想要个孩子给他留后，那个时，他每次就三分钟，几分钟。人家都没能满组到。不过他挺实在，将就过了，毕竟我是有过婚史的。后来他（bai-度)看（蒋丘前恋情）一文。就让他好了，次次就要有拌个多小时啦。建议男人看下去，手机就可以廋看的；。","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"replyCount":10,"commentId":"1","createTime":"2017-12-11 10:00:00","ipLocation":""},"comments":[{"passport":{"uname":"小猴子","uid":"","uicon":""},"replyPassport":{"uname":"了不起的布莱恩","uid":"","uicon":""},"content":"北国风光，千里冰封，万里雪飘，望长城内外，惟余莽莽；大河上下，顿失滔滔","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""},{"passport":{"uname":"了不起的布莱恩","uid":"","uicon":""},"replyPassport":{"uname":"大斌","uid":"","uicon":""},"content":"北国风光，千里冰封，万里雪飘，望长城内外，惟余莽莽；大河上下，顿失滔滔","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""},{"passport":{"uname":"网友2","uid":"","uicon":""},"replyPassport":{"uname":"网友1","uid":"","uicon":""},"content":"北国风光，千里冰封，万里雪飘，望长城内外，惟余莽莽；大河上下，顿失滔滔","supportCount":10,"opposeCount":11,"isSupport":1,"isOppose":1,"commentId":"","createTime":"2017-12-11 10:00:00","ipLocation":""}],"hotComments":[]}
    console.log(fakeData)
    console.log(replyData)

    //初始化上拉和下拉
    if(page_type == 'item'){
        Uiop.init({
            'onLoadMore': onLoadMore
        }).listen("#all_comments");
    }
    
    var _spotEle_hot = '#hot_comments';
    var _spotEle_all = '#all_comments';
    var cur_page = 1; //默认显示第一页
    var page_count = 1;
    var page_size = 5;

    //请求成功渲染页面
    function getSuccess(data,info){
        console.log("请求成功，接下来渲染页面",data,info);
        if(page_type == 'item'){
            if(info.type == 'init'){
                //渲染精彩评论
                if(data.hotComments && data.hotComments.length >0){
                    addComments(_spotEle_hot,setComment(info.type,data.hotComments),info.type);
                }
                //渲染全部评论
                if(data.comments && data.comments.length >0){
                    addComments(_spotEle_all,setComment(info.type,data.comments),info.type);
                }
                if($(_spotEle_hot).children('li').length>0){
                    document.getElementById('hot').style.display = 'block';
                }
            }else{
                //渲染全部评论
                if(data.comments && data.comments.length >0){
                    addComments(_spotEle_all,setComment(info.type,data.comments),info.type);
                }
            }
            if($(_spotEle_all).children('li').length>0){
                document.getElementById('get_first_comment').style.display = 'none';
            }else{
                if(params['isInApp']){
                    document.getElementById('get_first_comment').style.display = 'block';
                }
            }
            bindEvent(_spotEle_hot); //绑定精彩评论点击事件
            bindEvent(_spotEle_all); //绑定全部评论点击事件
            params['loading'] = false;    
            document.querySelector('.upfont').style.display = "none";
        }else{
            //渲染全部评论
            var temp_data = [];
            var temp_data_item = {};
            temp_data_item.comments = [];
            if(data.firstComment){
                temp_data_item = data.firstComment;
                if(data.comments && data.comments.length>0){
                    temp_data_item.comments = data.comments;
                }
                temp_data.push(temp_data_item);
                addComments(_spotEle_all,setComment(info.type,temp_data),info.type);
            }
            if($(_spotEle_hot).children('li').length>0){
                document.getElementById('all').style.display = 'block';
            }
            bindEvent(_spotEle_all); //绑定全部评论点击事件
        }
        
    }

    //请求失败
    function getFail(){
        console.log('请求失败');
        params['loading'] = false;
        document.querySelector('.upfont').style.display = "none";
    }

    function addComments(id,newData,type){
        console.log(id,newData,type)
        if(type == 'init'){
            //初次加载
            if ($(id).children('li').length > 0) {
                var oneLi = $(id).children('li').get(0);                
                $(oneLi).before(newData);
            } else {
                $(id).append(newData);
            }
        }else{
            //加载更多
            console.log($(id).children('li'));
            if ($(id).children('li').length > 0) {
                var oneLi = $(id).children('li').last();                
                $(oneLi).after(newData);
            } else {
                $(id).append(newData);
            }
        }
    }

    function setParams(info){
        var url_params = ''
        for(i in info){
            url_params = url_params + i + '=' +info[i] + '&'
        }
        return url_params;
    }
    //初次加载评论内容
    $(_spotEle_hot).empty();
    $(_spotEle_all).empty();
    window['loadComments'] = function (type){
        console.log('count----------'+page_count,'cur_page--------'+cur_page);
        if (type == 'init') {
            $(_spotEle_hot).empty();
            $(_spotEle_all).empty();
            cur_page = 1;
        };
        var load_callback = "getList"+_shuffUUID();
        var load_info = {
            'appkey':params['appkey'],
            'uid' : params['uid'],
            'uuid' : params['uuid'],
            'itemId' :params['itemid'],
            'commentId' : params['com_id'], //使用一级评论查找二级评论
            'page' : cur_page,
            'size' : page_size
        };
        var load_url = host_url + '/api/item/commentView?' + setParams(load_info) + 'callback='+load_callback;
        if(!params['loading'] && cur_page<=page_count){
            params['loading'] = true;
            _jsonp(load_url, function(data) {
                if(data){
                    data = JSON.parse(data);
                    if(page_type == 'item'){
                        cur_page ++ ;
                        page_count = Math.ceil(parseInt(data.cmtSum)/parseInt(page_size))
                        // data.comments.push(fakeData.comments[0])
                    }else{
                        // data = replyData
                    }
                    console.log('data--------------------2',data);
                    var cp = {};
                    cp.type = type;
                    getSuccess(data,cp);
                }else{
                    getFail();
                }
            }, function() {
                getFail();
            }, load_callback);
        }
    }
     
    var default_reply_num = 2;       
    //添加内容
    function setComment(type,data){
        var addLis = $('#newData');
        for (var i = 0; i < data.length; i++) {
            var img_index = parseInt(Math.random()*(8),10);
            var tx_img =  window['imgLis'][img_index] || 'img/default.jpg';
            var li_html = '<li data-id ="'+data[i].commentId+'" data-uid ="'+data[i].passport.uid+'" data-name ="'+data[i].passport.uname+'" data-content ="'+data[i].content+'">'
            li_html +=    '    <div class="ml">'
            if(data[i].passport.uicon){
                li_html +=    '        <div class="round-img" style="background-image:url('+data[i].passport.uicon+')"></div>'
            }else{
                li_html +=    '        <div class="round-img" style="background-image:url(\''+tx_img+'\')"></div>'
            }
            li_html +=    '    </div>'
            li_html +=    '    <div class="mr">'
            li_html +=    '        <div class="info">'
            li_html +=    '            <span class="name">'+data[i].passport.uname+'</span>'
            if(data[i].isSupport == 1){
                li_html +=    '            <span class="zan active"><img src="img/zan-active.png" /><span class="num">'+data[i].supportCount+'</span></span> '
            }else{
                li_html +=    '            <span class="zan"><img src="img/zan.png" /><span class="num">'+data[i].supportCount+'</span></span> '
            }
            li_html +=    '        </div>'
            if(data[i].passport.isCanDelete == 1){
                li_html +=    '        <div class="publishTime"><span>'+getPassesTime(data[i].createTime)+'</span><span> ▪ </span><span class="delete">删除</span></div>'
            }else{
                li_html +=    '        <div class="publishTime">'+getPassesTime(data[i].createTime)+'</div>'
            }
            li_html +=    '        <div class="content">'
            if(data[i].content && data[i].content.length>70){
                li_html +=    '           <div class="open">'+data[i].content.substr(0,70)+'...<span>展开</span></div>'
                li_html +=    '           <div class="close">'+data[i].content+'<span>收起</span></div>'
            }else{
                li_html +=    '           <div>'+data[i].content+'</div>'
            }
            li_html +=    '        </div>'
            // li_html +=    '        <div class="reply-btn" reply_id = "1">'+data[i].reply_count+'条回复<span></span></div>'
            if(data[i].comments && data[i].comments.length>0){
                var default_num = 1;
                if(page_type == 'item'){
                    if(data[i].comments.length >= default_reply_num){
                        default_num = default_reply_num
                    }else{
                        default_num = data[i].comments.length;
                    }
                }else{
                    default_num = data[i].comments.length;
                }
                li_html +=    '        <div class="reply" sign="close" id="reply_'+data[i].commentId+'" data-comId="'+ data[i].commentId +'" data-default_reply_num="'+default_num+'">'
                li_html +=    '            <div class="triangle"></div>'
                li_html +=    '            <div class="main">'
                for (var j = 0; j < default_num; j++) {
                    li_html +=    '            <div class="item-reply" data-id="'+data[i].comments[j].commentId+'" data-uid="'+data[i].comments[j].passport.uid+'" data-name="'+data[i].comments[j].passport.uname+'">'
                    if(page_type == 'item'){
                        li_html +=    '                <span>'+data[i].comments[j].passport.uname+' :</span>'
                    }else{
                        if(data[i].comments[j].replyPassport && data[i].comments[j].replyPassport.uname){
                            li_html +=    '                <span>'+data[i].comments[j].passport.uname+'回复了'+data[i].comments[j].replyPassport.uname+' :</span>'
                        }else{
                            li_html +=    '                <span>'+data[i].comments[j].passport.uname+' :</span>'
                        }
                    }
                    li_html +=    '                <span>'+data[i].comments[j].content+'</span>'
                    li_html +=    '            </div>'
                };
                li_html +=    '                <div class="allreply">'
                if(page_type == 'item'){
                    li_html +=    '                    <span class="replyView">共'+data[i].replyCount+'条回复</span><img src="img/more.png" alt="">'
                }
                li_html +=    '                </div>'
                li_html +=    '            </div>'
                li_html +=    '        </div>'
            }
            li_html +=    '    </div>'
            li_html +=    '    <div style="clear:both">'
            li_html +=    '    </li>'
            addLis.append(li_html);
            $("#reply_" +data[i].commentId).data('comments', data[i].comments);
        };
        var children = $('#newData').children().clone(true);
        $('#newData').empty();
        return children;
    }

    //绑定事件
    function bindEvent(id){
        var alllis_dom = document.querySelectorAll(id+'>li');
        console.log(alllis_dom)
        for (var i = 0; i < alllis_dom.length; i++) {
            var item = alllis_dom[i];
            var del = item.querySelectorAll('.delete')[0];
            if(del){
                del.onclick = function(event){
                    var parent_li = $(event.target).parents('li');
                    var parent_data = parent_li.data();
                    var del_info = {
                        'appkey':params['appkey'],
                        'uid' : params['uid'],
                        'do' : 'delete',  
                        'commentId': parent_data.id,
                        'itemId': params['itemid'],
                        'url': encodeURIComponent(window.location.href)
                    }
                    var callback = 'callback' + _shuffUUID();
                    var del_url = host_url + '/api/item/comment?' + setParams(del_info) + 'callback='+callback;
                    _jsonp(del_url, function(data) {
                        data = JSON.parse(data);
                        if(data.status == 0){
                            parent_li.remove();
                        }
                    }, function() {
                        
                    }, callback);
                }
            }


            var zan = item.querySelectorAll('.zan')[0];
            if(zan){
                zan.onclick =function(event){
                    var zan_dom = $(event.target).parents('.zan').get(0);
                    var _zan = {
                        'appkey':params['appkey'],
                        'itemId':params['itemid'],
                        'uid':params['uid'],
                        'uuid':params['uuid'],
                        'url':window.location.href
                    }
                    var parent_li = $(zan_dom).parents('li');
                    var parent_data = parent_li.data();
                    _zan['commentId'] = parent_data.id;
                    var zan_num_dom = zan_dom.getElementsByClassName('num')[0];
                    var zan_img_dom = zan_dom.getElementsByTagName('img')[0];
                    var zan_num = parseInt(zan_num_dom.innerHTML);
                    if(zan_dom.classList.contains('active') == true){
                        zan_dom.classList.remove('active');
                        zan_img_dom.src = 'img/zan.png';
                        _zan['do'] = 'c_like';
                        zan_num = zan_num - 1;
                    }else{
                        zan_dom.classList.add('active');
                        zan_img_dom.src = 'img/zan-active.png';
                        _zan['do'] = 'like';
                        zan_num = zan_num + 1;
                    }
                    zan_num_dom.innerHTML = zan_num;
                    console.log(_zan);
                    var callback = 'callback' + _shuffUUID();
                    var zan_url = host_url + '/api/item/support?' + setParams(_zan) + 'callback='+callback;
                    _jsonp(zan_url, function(data) {
                        params['loading'] = true;
                    }, function() {
                        
                    }, callback);
                }
            }
            
            var replyView = item.querySelectorAll('.replyView')[0];
            if(replyView){
                replyView.onclick = function(){
                    var reply_dom = $(event.target).parents('.reply').get(0);
                    var reply_sign = reply_dom.getAttribute('sign');
                    var reply_data = $(reply_dom).data();
                    console.log(reply_data)
                    var default_num = reply_data.default_reply_num;
                    var commentData = reply_data.comments;
                    //查看更多评论
                    var comment_info = {
                        'appkey':params['appkey'],
                        'uid':params['uid'],
                        'uuid':params['uuid'],
                        'itemId':params['itemid'],
                        'commentId':reply_data.comid,
                        'hc':params['hc'],
                        'clickUrl': host_url +'/itembase/item/comments.html?ak='+params['appkey'] + '&uid='+params['uid'] + '&u='+params['uuid'] + '&i='+params['itemid'] + '&commentId='+ reply_data.comid +'&env='+params['env'] +'&hc='+params['hc'] 
                    };
                    console.log(comment_info);
                    if (!window['openComments']) {
                        window['openComments'] = function(itemInfo) {
                            if (window['_CPLUSB'] && window['_CPLUSB']['isInApp']) { //在app中
                                if (window['_CPLUSB'] && window['_CPLUSB']['openComments']) {
                                    window['_CPLUSB']['openComments'](itemInfo);
                                } else if (typeof(window.webkit) != 'undefined' &&
                                    window.webkit.messageHandlers && window.webkit.messageHandlers.openItem) {
                                    window.webkit.messageHandlers.openComments.postMessage(itemInfo); //IOS
                                }
                            } else{
                                window.location.href = JSON.parse(itemInfo).clickUrl;
                            }
                        }
                    }
                    window['openComments'](JSON.stringify(comment_info));                
                }
            }

            var openContent = item.querySelectorAll('.open>span')[0];
            if(openContent){
                openContent.onclick =function(){
                    this.parentNode.style.display = 'none';
                    this.parentNode.nextSibling.nextSibling.style.display = 'block';
                }
            }
            var closeContent = item.querySelectorAll('.close>span')[0];
            if(closeContent){
                closeContent.onclick =function(){
                    this.parentNode.previousSibling.previousSibling.style.display = 'block';
                    this.parentNode.style.display = 'none';
                }
            }

            var one_reply = item.querySelectorAll('.content');
            var two_replys = item.querySelectorAll('.item-reply');
            if(one_reply && one_reply.length > 0){
                for (var j = 0; j < one_reply.length; j++) {
                    one_reply[j].onclick =function(){
                        window['replyView'](event,1); 
                    }
                };
            }
            if(two_replys && two_replys.length>0){
                for (var j = 0; j < two_replys.length; j++) {
                    two_replys[j].onclick=function(){
                        window['replyView'](event,2);   
                    }
                };
            }
        };
    }

    window['replyView'] =function(event,level){
        console.log('--------------------回复评论');
        var _reply = {}
        _reply['itemid'] = params['itemid'];
        var parent_li = $(event.target).parents('li');
        var parent_data = parent_li.data();
        if(level == 1){
            console.log($(event.target).parents('.content'));
            _reply['commentid'] = parent_data.id;
            _reply['mainCommentid'] = parent_data.id;
            _reply['userid'] = parent_data.uid;
            _reply['username'] = parent_data.name;
        }else{
            var this_dom = $(event.target).parents('.item-reply')
            var this_data = this_dom.data();
            _reply['commentid'] = this_data.id;
            _reply['mainCommentid'] = parent_data.id;
            _reply['userid'] = this_data.uid;
            _reply['username'] = this_data.name;
        }
        console.log(_reply);
        if (!window['doCommentReply']) {
            window['doCommentReply'] = function(itemInfo) {
                if (window['_CPLUSB'] && window['_CPLUSB']['doCommentReply']) {
                    console.log('-----------------调到了sdk的回复接口-android');
                    window['_CPLUSB']['doCommentReply'](itemInfo);
                } else if (typeof(window.webkit) != 'undefined') {
                    console.log('-----------------调到了sdk的回复接口-ios');
                    window.webkit.messageHandlers.doCommentReply.postMessage(itemInfo); //IOS
                }
            }
        }
        window['doCommentReply'](JSON.stringify(_reply));  
    }

    //关闭弹出层
    window['closeTips'] = function(){
        if(document.getElementById('tips_sdk')){
            document.getElementById('tips_sdk').style.display = 'none';
        }
    }

    //添加首条评论
    window['getFirstComment'] = function(){
        var reply_info = {};
        reply_info['topic_id'] = params['topic_id'];
        if (!window['doCommentReply']) {
            window['doCommentReply'] = function(itemInfo) {
                if (window['_CPLUSB'] && window['_CPLUSB']['doCommentReply']) {
                    console.log('-----------------抢沙发去了-android');
                    window['_CPLUSB']['doCommentReply'](itemInfo);
                } else if (typeof(window.webkit) != 'undefined') {
                    console.log('-----------------抢沙发去了-ios');
                    window.webkit.messageHandlers.doCommentReply.postMessage(itemInfo); //IOS
                }
            }
        }
        console.log('抢沙发去了',JSON.stringify(reply_info))
        window['doCommentReply'](JSON.stringify(reply_info));          
    }

    window.onscroll = function(){
        window['closeTips']();
    }

    function onLoadMore(){
        window['loadComments']('down');  //初始化评论内容
        window['inApp'](function(inApp){
            if (inApp != 'no') {
                window['loadComments']('down');  //初始化评论内容
                document.getElementById('open_sdk').style.display = 'none';
            } else {
                document.getElementById('open_sdk').style.display = 'block';
            }
        })
    }

    //跳转到评论内容
    window['doAnchor'] = function(){
        console.log('定位到评论------------------------1111');
        location.href="#to_comments";
        // console.log($("#to_comments").offset().top)
        // if(isiOS){
        //     console.log('ios-------------')
        //     $('body').scrollTop(parseInt($("#hot").offset().top));
        // }else{
        //     console.log('andriod-------------');
        //     location.href="#hot";
        // }
        // $('body').scrollTop(parseInt($("#hot").offset().top));
        // $('html, body').animate({  
        //     scrollTop: $("#hot").offset().top  
        // }, 500); 
    }
 
    //判断是不是在app中
    window['inApp'] = function(callback) {
        if (!window['isInApp']) {
            if (window['_CPLUSB'] && window['_CPLUSB']['isInApp']) {
                var info = window['_CPLUSB']['isInApp']();
                callback && callback(info);
            } else if (typeof(window.webkit) != 'undefined' &&
                window.webkit.messageHandlers && window.webkit.messageHandlers.isInApp) {
                window['isInApp'] = function(reqData) {
                    callback && callback(reqData);
                }
                var getII = JSON.stringify({ 'callback': 'isInApp' });
                window.webkit.messageHandlers.isInApp.postMessage(getII); //IOS wkWebView
            } else {
                callback && callback('no');
            }
        } else {
            var info = window['isInApp']();
            callback && callback(info);
        }
    }; 

    if(params['hc'] == '1'){
        if(page_type == 'item'){
            window['inApp'](function(inApp){
                if (inApp != 'no') { //在app中
                    params['isInApp'] = true;
                    document.getElementById('comments').style.display = 'block';  //显示评论区域
                    document.getElementById('open_sdk').style.display = 'none';
                }else { //不在app中
                    params['isInApp'] = false;
                    document.getElementById('comments').style.display = 'block'; //显示评论区域
                    document.getElementById('open_sdk').style.display = 'block';
                }
                window['loadComments']('init');  //初始化评论内容
            })
        }else{
            document.getElementById('comments').style.display = 'block'; //显示评论区域
            window['loadComments']('init');  //初始化评论内容
        }
        
    }
    

    /** 生成32位随机数 */
    function _shuffUUID() {
        var dict = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0',
            'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm',
            'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'
        ];
        var num = dict.length;
        var uuid = "";
        var sum = 0;
        for (var i = 0; i < 31; i++) {
            var idx = Math.floor(Math.random() * num);
            var ch = dict[idx];
            sum += ch.charCodeAt(0);
            uuid += ch;
        }
        //生成校验位
        uuid += String.fromCharCode((sum % 26 + 97));
        return uuid;
    };

}